Skip to main content
POST
List traces

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body schema.

startedAfter
string
required

Include traces whose first execution started after this timestamp (ISO string). Required.

workflowUuid
string<uuid>

When set, restrict traces to this workflow. Omit to search across workflows in the workspace.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
statuses
enum<string>[]

Filter traces by their derived status (pending if any span anywhere in the trace is still pending, error if any of the root run's spans has errored, otherwise success).

Available options:
pending,
error,
success
startedBefore
string

Include traces whose first execution started on or before this timestamp (ISO string).

limit
number

Maximum number of traces to return.

offset
number

Number of traces to skip.

Response

Successful response

traces
Traces · object[]
required

Traces matching the filter.

count
number
required

Total count of matching traces.